Update deployment
curl --request PATCH \
--url https://api.coreweave.com/v1alpha1/inference/deployments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"concurrency": 123,
"capacityClasses": []
},
"traffic": {
"weight": 123
},
"disabled": true
}
'import requests
url = "https://api.coreweave.com/v1alpha1/inference/deployments/{id}"
payload = {
"id": "<string>",
"name": "<string>",
"gatewayIds": ["<string>"],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"concurrency": 123,
"capacityClasses": []
},
"traffic": { "weight": 123 },
"disabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
gatewayIds: ['<string>'],
runtime: {engine: '<string>', version: '<string>', engineConfig: {}, engineEnv: {}},
resources: {instanceType: '<string>', gpuCount: 123},
model: {name: '<string>', bucket: '<string>', path: '<string>'},
autoscaling: {min: 123, max: 123, priority: 123, concurrency: 123, capacityClasses: []},
traffic: {weight: 123},
disabled: true
})
};
fetch('https://api.coreweave.com/v1alpha1/inference/deployments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment": {
"spec": {
"id": "<string>",
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"concurrency": 123,
"capacityClasses": []
},
"traffic": {
"weight": 123
},
"organizationId": "<string>",
"disabled": true
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
]
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Update deployment
Update the spec of a CoreWeave inference deployment.
PATCH
/
v1alpha1
/
inference
/
deployments
/
{id}
Update deployment
Authorizations
CoreWeave API access token sent as a bearer token.
Path Parameters
The ID of the deployment to update
Body
application/json
Request for UpdateDeployment
The ID of the deployment to update
The name of the deployment
The gateways to associate the deployment with
Runtime selection and configuration
Show child attributes
Show child attributes
Resource configuration for the deployment
Show child attributes
Show child attributes
The model configuration
Show child attributes
Show child attributes
The autoscaling configuration
Show child attributes
Show child attributes
The traffic configuration for the deployment
Show child attributes
Show child attributes
Disable the deployment
Response
OK
Response for UpdateDeployment
The updated deployment
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I